ATA_SG_INIT_ONE(9)

NAME
ata_sg_init_one - Associate command with memory buffer

SYNOPSIS

void ata_sg_init_one (struct ata_queued_cmd * qc, void * buf, unsigned int buflen);

ARGUMENTS

qc  Command to be associated

buf Memory buffer

buflen
    Length of memory buffer, in bytes.

DESCRIPTION

Initialize the data-related elements of queued_cmd qc to point to a single memory buffer, buf of byte length buflen.

LOCKING

spin_lock_irqsave(host_set lock)

AUTHOR
Jeff Garzik.